package org.pfsw.bif;

import static org.junit.Assert.*;
import org.junit.Test;

public class StandardObjectsTest
{
  @Test
  public void test_Boolean()
  {
    assertEquals(Boolean.TRUE, StandardObjects.getTrue());
    assertEquals(Boolean.FALSE, StandardObjects.getFalse());
  }

  @Test
  public void test_Byte()
  {
    assertEquals(Byte.MIN_VALUE, StandardObjects.getMinByte().byteValue());
    assertEquals(Byte.MAX_VALUE, StandardObjects.getMaxByte().byteValue());
  }
  
  @Test
  public void test_Short()
  {
    assertEquals(Short.MIN_VALUE, StandardObjects.getMinShort().shortValue());
    assertEquals(Short.MAX_VALUE, StandardObjects.getMaxShort().shortValue());
  }
  
  @Test
  public void test_Integer()
  {
    assertEquals(Integer.MIN_VALUE, StandardObjects.getMinInteger().intValue());
    assertEquals(Integer.MAX_VALUE, StandardObjects.getMaxInteger().intValue());
  }
  
  @Test
  public void test_Long()
  {
    assertEquals(Long.MIN_VALUE, StandardObjects.getMinLong().longValue());
    assertEquals(Long.MAX_VALUE, StandardObjects.getMaxLong().longValue());
  }
  
  @Test
  public void test_Float()
  {
    assertEquals(Float.MIN_VALUE, StandardObjects.getMinFloat().floatValue(), 0f);
    assertEquals(Float.MAX_VALUE, StandardObjects.getMaxFloat().floatValue(), 0f);
  }
  
  @Test
  public void test_Double()
  {
    assertEquals(Double.MIN_VALUE, StandardObjects.getMinDouble().doubleValue(), 0d);
    assertEquals(Double.MAX_VALUE, StandardObjects.getMaxDouble().doubleValue(), 0d);
  }
  
  @Test
  public void test_Character()
  {
    assertEquals(Character.MIN_VALUE, StandardObjects.getMinCharacter().charValue());
    assertEquals(Character.MAX_VALUE, StandardObjects.getMaxCharacter().charValue());
  }
}