package org.pfsw.bif.enums;

import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.pfsw.bif.testhelper.SampleEnum1;
import org.pfsw.bif.testhelper.SampleEnum2;

public class IEnumTypeTest
{
  @Test
  public void test_asString()
  {
    List<IEnumType> enums = new ArrayList<IEnumType>();
    
    enums.add(SampleEnum1.BETA);
    enums.add(SampleEnum2.KAPPA);
    enums.add(SampleEnum2.OMEGA);
    
    assertEquals("beta", enums.get(0).asString());
    assertEquals("kappa", enums.get(1).asString());
    assertEquals("omega", enums.get(2).asString());
  }

  @Test
  public void test_name()
  {
    List<IEnumType> enums = new ArrayList<IEnumType>();
    
    enums.add(SampleEnum1.ALPHA);
    enums.add(SampleEnum2.KAPPA);
    enums.add(SampleEnum2.OMEGA);
    
    assertEquals("ALPHA", enums.get(0).name());
    assertEquals("KAPPA", enums.get(1).name());
    assertEquals("OMEGA", enums.get(2).name());
  }
  
  @Test
  public void test_ordinal()
  {
    List<IEnumType> enums = new ArrayList<IEnumType>();
    
    enums.add(SampleEnum1.BETA);
    enums.add(SampleEnum2.LAMBDA);
    enums.add(SampleEnum2.OMEGA);
    
    assertEquals(1, enums.get(0).ordinal());
    assertEquals(1, enums.get(1).ordinal());
    assertEquals(2, enums.get(2).ordinal());
  }
  
  @Test
  public void test_getDeclaringClass()
  {
    List<IEnumType> enums = new ArrayList<IEnumType>();
    
    enums.add(SampleEnum1.ALPHA);
    enums.add(SampleEnum2.KAPPA);
    enums.add(SampleEnum2.OMEGA);
    
    assertSame(SampleEnum1.class, enums.get(0).getDeclaringClass());
    assertSame(SampleEnum2.class, enums.get(1).getDeclaringClass());
    assertSame(SampleEnum2.class, enums.get(2).getDeclaringClass());
  }
}