package org.pfsw.bif.http;

import static org.junit.Assert.*;

import org.junit.Test;

public class NonStandardHttpHeaderNameTest
{
  @Test
  public void test_toString()
  {
    assertEquals("NonStandardHttpHeaderName(FRONT_END_HTTPS, 'Front-End-Https')", NonStandardHttpHeaderName.FRONT_END_HTTPS.toString());
    assertEquals("NonStandardHttpHeaderName(X_FORWARDED_PROTOCOL, 'X-Forwarded-Proto')", NonStandardHttpHeaderName.X_FORWARDED_PROTOCOL.toString());
  }

  @Test
  public void test_isHeaderName__false()
  {
    assertFalse(NonStandardHttpHeaderName.X_CSRF_TOKEN.isHeaderName(null));
    assertFalse(NonStandardHttpHeaderName.X_CSRF_TOKEN.isHeaderName(""));
    assertFalse(NonStandardHttpHeaderName.X_CSRF_TOKEN.isHeaderName("X_CSRF_TOKEN"));
  }

  @Test
  public void test_isHeaderName__true()
  {
    assertTrue(NonStandardHttpHeaderName.X_CSRF_TOKEN.isHeaderName("X-Csrf-Token"));
    assertTrue(NonStandardHttpHeaderName.X_CSRF_TOKEN.isHeaderName("x-csrf-token"));
    assertTrue(NonStandardHttpHeaderName.X_CSRF_TOKEN.isHeaderName("X-CSRF-TOKEN"));
  }
}
