package org.pfsw.bif.http;

import static org.junit.Assert.*;

import org.junit.Test;

public class OtherHttpHeaderNameTest
{
  @Test
  public void test_toString()
  {
    assertEquals("OtherHttpHeaderName(X_ACCESS_TOKEN, 'X-Access-Token')", OtherHttpHeaderName.X_ACCESS_TOKEN.toString());
    assertEquals("OtherHttpHeaderName(X_JWT_ASSERTION, 'X-JWT-Assertion')", OtherHttpHeaderName.X_JWT_ASSERTION.toString());
  }

  @Test
  public void test_isHeaderName__false()
  {
    assertFalse(OtherHttpHeaderName.X_AUTH_TOKEN.isHeaderName(null));
    assertFalse(OtherHttpHeaderName.X_AUTH_TOKEN.isHeaderName(""));
    assertFalse(OtherHttpHeaderName.X_AUTH_TOKEN.isHeaderName("X_AUTH_TOKEN"));
  }

  @Test
  public void test_isHeaderName__true()
  {
    assertTrue(OtherHttpHeaderName.X_AUTH_TOKEN.isHeaderName("X-Auth-Token"));
    assertTrue(OtherHttpHeaderName.X_AUTH_TOKEN.isHeaderName("x-auth-token"));
    assertTrue(OtherHttpHeaderName.X_AUTH_TOKEN.isHeaderName("X-AUTH-TOKEN"));
  }
}
