package org.pfsw.bif.http;

import static org.junit.Assert.*;

import org.junit.Test;

public class StandardHttpHeaderNameTest
{
  @Test
  public void test_toString()
  {
    assertEquals("StandardHttpHeaderName(ACCEPT, 'Accept')", StandardHttpHeaderName.ACCEPT.toString());
    assertEquals("StandardHttpHeaderName(LOCATION, 'Location')", StandardHttpHeaderName.LOCATION.toString());
  }

  @Test
  public void test_isHeaderName__false()
  {
    assertFalse(StandardHttpHeaderName.CACHE_CONTROL.isHeaderName(null));
    assertFalse(StandardHttpHeaderName.CACHE_CONTROL.isHeaderName(""));
    assertFalse(StandardHttpHeaderName.CACHE_CONTROL.isHeaderName("CACHE_CONTROL"));
  }

  @Test
  public void test_isHeaderName__true()
  {
    assertTrue(StandardHttpHeaderName.CACHE_CONTROL.isHeaderName("Cache-Control"));
    assertTrue(StandardHttpHeaderName.CACHE_CONTROL.isHeaderName("cache-control"));
    assertTrue(StandardHttpHeaderName.CACHE_CONTROL.isHeaderName("CACHE-CONTROL"));
  }
}
