package org.pfsw.bif.testhelper;

import java.util.concurrent.atomic.AtomicBoolean;

import org.pfsw.bif.execution.IExecutable;

public class UnitTestHelper
{
  /**
   * Initializes the given resultHolder to false and then creates and returns 
   * a {@link Runnable} that sets the resultHolder to true if its run() method has been invoked.
   */
  public static Runnable createRunnableOn(final AtomicBoolean resultHolder)
  {
    resultHolder.set(false);
    return new Runnable()
    {
      @Override
      public void run()
      {
        resultHolder.set(true);
      }
    };
  }

  /**
   * Initializes the given resultHolder to false and then creates and returns 
   * an {@link IExecutable} that sets the resultHolder to true if its execute() method has been invoked.
   */
  public static IExecutable createExecutableOn(final AtomicBoolean resultHolder)
  {
    resultHolder.set(false);
    return new IExecutable()
    {
      @Override
      public void execute()
      {
        resultHolder.set(true);
      }
    };
  }
}
