// ===========================================================================
// CONTENT  : TEST CLASS IStringFilterTest
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 11/08/2014
// HISTORY  :
//  11/08/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.text;

import static org.junit.Assert.*;

import org.junit.Test;

public class IStringFilterTest
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================
  private static final String[] SAMPLE_STRINGS = { "Peter", "jhsfjhadj", "", "London", "238" };

  @Test
  public void test_NONE()
  {
    for (String string : SAMPLE_STRINGS)
    {
      assertFalse(IStringFilter.NONE.matches(string));
    }
    assertFalse(IStringFilter.ALL.matches(null));
  }

  @Test
  public void test_ALL()
  {
    for (String string : SAMPLE_STRINGS)
    {
      assertTrue(IStringFilter.ALL.matches(string));
    }
    assertFalse(IStringFilter.ALL.matches(null));
  }
}
