// ===========================================================================
// CONTENT  : CLASS NameTest
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 17/12/2020
// HISTORY  :
//  17/12/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.text;

import static org.junit.Assert.*;

import org.junit.Test;
import org.pfsw.bif.testhelper.SampleEnum1;

public class NameTest
{
  @Test
  public void test_create__IStringConstant()
  {
    assertEquals("beta", Name.create(SampleEnum1.BETA).asString());
  }

  @Test
  public void test_asString()
  {
    assertEquals("alpha", Name.create("alpha").asString());
  }
  
  @Test
  public void test_toString()
  {
    assertEquals("Name('alpha')", Name.create("alpha").toString());
  }
  
  @Test(expected = IllegalArgumentException.class)
  public void test_create__null_string()
  {
    Name.create((String)null);
  }
  
  @Test(expected = IllegalArgumentException.class)
  public void test_create__null_IStringConstant()
  {
    Name.create((IStringConstant)null);
  }
  
  @Test(expected = IllegalArgumentException.class)
  public void test_create__with_blank()
  {
    Name.create("alpha centauri");
  }
}
